import { NetworkType } from '../global/types';
declare function useCardano(props?: {
    limitNetwork?: NetworkType;
}): {
    isEnabled: boolean;
    isConnected: any;
    isConnecting: boolean;
    enabledWallet: string | null;
    stakeAddress: string | null;
    usedAddresses: string[];
    unusedAddresses: string[];
    signMessage: (message: string, onSignMessage?: ((signature: string, key: string | undefined) => void) | undefined, onSignError?: ((error: Error) => void) | undefined) => Promise<void>;
    connect: (walletName: string, onConnect?: () => void | undefined, onError?: ((code: Error) => void) | undefined) => Promise<void>;
    disconnect: () => void;
    installedExtensions: string[];
    accountBalance: number;
};
export default useCardano;
